Results 1 to 2 of 2

Thread: Fadenkreuzanzeige von Quickinfos bei Achsen unterdrücken - wie geht das?

  1. #1
    Member
    Join Date
    2005-01
    Location
    Oldenburg, Germany
    Posts
    31
    Login to Give a bone
    0

    Wink Fadenkreuzanzeige von Quickinfos bei Achsen unterdrücken - wie geht das?

    Öfters werde ich gefragt, wie man die an sich nützlichen Quickinfos (Tooltips) von Achsen an der Fadenkreuzanzeige ausblenden kann.
    Einfach im Werkzeugbereich>Achsen>"Achse mit Namen" > Eigenschaften (RMK) anklicken, dann in der Registerkarte "Information" das Häkchen bei "Quickinfos anzeigen" entfernen.

    Hat man eine große Anzahl von Achsen, helfen diese 4 nützlichen Lisp-Routinen:

    Code:
    (defun c:all-align-ttips-off ()
      (if (ssget "x" '((0 . "AECC_ALIGNMENT")))
        (progn
          (vlax-for	ent (vla-get-activeselectionset
    		      (vla-get-activedocument
    			(vlax-get-acad-object)
    		      )
    		    )
    	(vlax-put-property ent 'showtooltip :vlax-false)
          )
        )
      )
      (princ)
    )
    
    (defun c:sel-align-no-ttips (/ ent)
      (while (and (setq ent (car (entsel "\nSelect alignment to turn off tool tip: ")))
    	      (= (cdr (assoc 0 (entget ent))) "AECC_ALIGNMENT")
    	 )
        (vlax-put-property
          (vlax-ename->vla-object ent)
          'showtooltip
          :vlax-false
        )
      )
      (princ)
    )
    
    (defun c:all-align-ttips-on ()
      (if (ssget "x" '((0 . "AECC_ALIGNMENT")))
        (progn
          (vlax-for	ent (vla-get-activeselectionset
    		      (vla-get-activedocument
    			(vlax-get-acad-object)
    		      )
    		    )
    	(vlax-put-property ent 'showtooltip :vlax-true)
          )
        )
      )
      (princ)
    )
    
    (defun c:sel-align-yes-ttips (/ ent)
      (while (and (setq ent (car (entsel "\nSelect alignment to turn on tool tip: ")))
    	      (= (cdr (assoc 0 (entget ent))) "AECC_ALIGNMENT")
    	 )
        (vlax-put-property
          (vlax-ename->vla-object ent)
          'showtooltip
          :vlax-true
        )
      )
      (princ)
    )
    entnommen von:
    http://discussion.autodesk.com/adskc...sageID=5338819
    Last edited by Udo; 2007-09-25 at 11:19 AM. Reason: Tippfehler im Titel

  2. #2
    Member
    Join Date
    2007-03
    Posts
    10
    Login to Give a bone
    0

    Talking Re: Fadenkreuzanzeige von Quickinfos bei Achsen unterdrücken - wie geht das?

    Man könnte auch in der Einstellungen Registerkarte auf "Achse" rechts-klicken und "Elementeinstellungen bearbeiten" auswählen. Dann "Allgemein" ausblenden und "QuickInfo anzeigen" auf Nein setzen. Danch wird QuickInfos bei alle Achsen nicht gezeigt.

Similar Threads

  1. Komponente automatisch in anderen Detailgenauigkeiten unterdrücken
    By e.sonnenhuber in forum Deutsch - Inventor
    Replies: 0
    Last Post: 2010-05-21, 01:39 PM
  2. Loft geht nicht ?
    By psychiatrist in forum Deutsch - Inventor
    Replies: 1
    Last Post: 2008-05-31, 08:35 PM
  3. Trichter abwickeln, wie geht das ?
    By MyNameNick in forum Deutsch - Inventor
    Replies: 1
    Last Post: 2008-05-30, 09:16 PM
  4. Stanzautomat - Blechstreifen, wie geht man vor
    By nero in forum Deutsch - Inventor
    Replies: 1
    Last Post: 2008-05-30, 06:32 AM
  5. Open Office mit Inventor, geht das ?
    By MyNameNick in forum Deutsch - Inventor
    Replies: 1
    Last Post: 2008-01-16, 07:21 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •